unit Coolbtn2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Buttons,mmsystem;

type
  TCoolButton2 = class(TSpeedButton)
  temp:boolean;
  private
  protected
    procedure paint; override;
    procedure CMMouseEnter(var Message: TMessage); message CM_MOUSEENTER;
    procedure CMMouseLeave(var Message: TMessage); message CM_MOUSELEAVE;
 public
  published
  end;

procedure Register;

implementation

procedure tcoolbutton2.paint;
  var
    x,y:integer;
  nrect:trect;
  begin
    if csdesigning in componentstate then begin
      caption:='Geert Vos';
      width:=201;
      height:=49;
      font.color:=clred;
      font.size:=24;
      canvas.moveto(0,0);
      canvas.pen.color:=clred;
      canvas.lineto(width-1,0);
      canvas.lineto(width-1,height-1);
      canvas.pen.color:=clblack;
      canvas.lineto(0,height-1);
      canvas.lineto(0,0);
    end;
    canvas.font.assign(font);
    x:=(width-canvas.textwidth(caption)) div 2;
    y:=(height-canvas.textheight(caption)) div 2;
    setbkmode(canvas.handle,transparent);
      nrect:=rect(0,0,width,height);
      canvas.brush.color:=color;
      canvas.pen.color:=canvas.brush.color;
      canvas.fillrect(nrect);
      canvas.font.color:=clblack;
      canvas.textout(x+3,y+3,caption);
      canvas.font.color:=font.color;
      canvas.textout(x+2,y+2,caption);
    end;

procedure TCoolbutton2.CMMouseleave(var Message: TMessage);
var
x:integer;
y:integer;
nrect:Trect;
begin
        setbkmode(canvas.handle,transparent);
    x:=(width-canvas.textwidth(caption)) div 2;
    y:=(height-canvas.textheight(caption)) div 2;
      nrect:=rect(0,0,width,height);
      canvas.brush.color:=color;
      canvas.pen.color:=canvas.brush.color;
      canvas.fillrect(nrect);
      canvas.font.color:=clblack;
      canvas.textout(x+3,y+3,caption);
      canvas.font.color:=font.color;
      canvas.textout(x+2,y+2,caption);
end;

procedure TCoolbutton2.CMMouseEnter(var Message: TMessage);
var
x:integer;
y:integer;
nrect:Trect;
begin
    setbkmode(canvas.handle,transparent);
    x:=(width-canvas.textwidth(caption)) div 2;
    y:=(height-canvas.textheight(caption)) div 2;
      nrect:=rect(0,0,width,height);
      canvas.brush.color:=color;
      canvas.pen.color:=canvas.brush.color;
      canvas.fillrect(nrect);
      canvas.font.color:=clblack;
      canvas.textout(x+3,y+3,caption);
      canvas.font.color:=font.color;
      canvas.textout(x,y,caption);
end;

procedure Register;
begin
  RegisterComponents('Geert', [TCoolButton2]);
showmessage('The Coolbutton2 component is made by Geert Vos 1998');
end;

end.
